org.apache.maven.shared.jar

## Class JarData

- java.lang.Object
- - org.apache.maven.shared.jar.JarData

    public final class JarData
    extends Object

Class that contains details of a single JAR file and it's entries.

### Constructor Summary

Constructors
Constructor and Description
`JarData(File file, Manifest manifest, List entries)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getBytecodeHash()`
`List` `getEntries()`
`File` `getFile()`
`String` `getFileHash()`
`JarClasses` `getJarClasses()`
`JarIdentification` `getJarIdentification()`
`String` `getJdkRevision()`
`Manifest` `getManifest()`
`int` `getNumClasses()`
`int` `getNumEntries()`
`int` `getNumPackages()`
`boolean` `isDebugPresent()`
`boolean` `isSealed()`
`void` `setBytecodeHash(String bytecodeHash)`
`void` `setFileHash(String fileHash)`
`void` `setJarClasses(JarClasses jarClasses)`
`void` `setJarIdentification(JarIdentification jarIdentification)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JarData

    public JarData(File file,
                   Manifest manifest,
                   List entries)

Constructor.

Parameters:
  `file` - the JAR file
  `manifest` - the JAR manifest
  `entries` - the JAR entries

### Method Detail

#### getEntries

    public List getEntries()

#### getManifest

    public Manifest getManifest()

#### getFile

    public File getFile()

#### isSealed

    public boolean isSealed()

#### setFileHash

    public void setFileHash(String fileHash)

#### getFileHash

    public String getFileHash()

#### setBytecodeHash

    public void setBytecodeHash(String bytecodeHash)

#### getBytecodeHash

    public String getBytecodeHash()

#### isDebugPresent

    public boolean isDebugPresent()

#### setJarClasses

    public void setJarClasses(JarClasses jarClasses)

#### getNumEntries

    public int getNumEntries()

#### getNumClasses

    public int getNumClasses()

#### getNumPackages

    public int getNumPackages()

#### getJdkRevision

    public String getJdkRevision()

#### setJarIdentification

    public void setJarIdentification(JarIdentification jarIdentification)

#### getJarIdentification

    public JarIdentification getJarIdentification()

#### getJarClasses

    public JarClasses getJarClasses()